clear
close all

% List the csv files to import **** SPECIFY THE FOLDER NAME HERE ****
% folder_name = 'FOLDER_NAME';
folder_name = 'SEMS_data';
dat_fol = dir([folder_name filesep 'SEMS_AUX*']);

% Initialize imported variables
time = [];
xdata = [];
ydata = [];

% Loop over all csv files in the specified location
for i = 1:length(dat_fol)
    % Import data from a given file
    [Time,Xdata,Ydata] = ...
        import_SMPS_class([folder_name filesep dat_fol(i).name]);
    
    time = vertcat(time,Time);
    xdata = vertcat(xdata,Xdata);
    ydata = vertcat(ydata,Ydata);
end

contourf(time,xdata(1,:),log(ydata'),'EdgeColor','none')
datetick
set(gca,'YScale','log')